Skip to content
SynupAPI
Get an API key
POSTapi.synup.com/api/v4/locations/ranking-analytics-timeline

Get Rollup Keyword Performance

This API allows you to fetch ranking analytics data for multiple locations in your account within a single API call for a specific period. You can also specify the sources you want to filter the results for. The sources include Google maps and Google search.

Requires an API key. Send it as Authorization: API <your-key> — see Getting started.

Parameters

Body

NameTypeRequiredDescription
fromDatestringrequiredDate from where data has to be fetched
toDatestringrequiredDate till where data has to be fetched
locationIdsarray of stringrequiredIDs to fetch data
sourcearray of stringrequiredList of sources

Request

Request
curl -X POST 'https://api.synup.com/api/v4/locations/ranking-analytics-timeline' \
  -H 'Authorization: API YOUR_API_KEY' \
  -H 'Content-Type: application/json' \
  -d '""'

Responses

StatusDescription
200Successful response
400Bad Request
401Unauthorized
Example response (generated from the schema)
{
  "data": {
    "rankingsRollupByDate": [
      {
        "siteAverageRanking": [
          {
            "site": "Google",
            "averageRankings": [
              null
            ]
          }
        ]
      }
    ]
  }
}

Response body

NameTypeRequiredDescription
dataobjectoptional
data.rankingsRollupByDatearray of objectoptional
data.rankingsRollupByDate[].siteAverageRankingarray of objectoptional
data.rankingsRollupByDate[].siteAverageRanking[].sitestringoptionalSource of rankings
GoogleBingYahooGoogle Maps
data.rankingsRollupByDate[].siteAverageRanking[].averageRankingsarray of objectoptional
data.rankingsRollupByDate[].siteAverageRanking[].averageRankings[].datestringoptionalSpecific date
data.rankingsRollupByDate[].siteAverageRanking[].averageRankings[].averageRankintegeroptionalThe value for the date